#<profile4xi profile = "00" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "import_classes4xi.py">
#<abstract4xi abstract = "imports all classes and special functions starting with capital"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<note4xi note = "
#        [1] class and its atrributes/variables/objects defined before __init__ such as _counter 
#        [2] function
#        [3] type
#        [4] class with no __init method
#        [5] class with no methods at all
#        [6] class settings inside class but not inside methods"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'import_classes4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import socket
import struct
import signal 
import threading
import _thread 
try:
    import _winapi
    from _winapi import WAIT_OBJECT_0, WAIT_TIMEOUT, INFINITE
except ImportError:
    if sys.platform == 'win32':
        raise
    _winapi = None     
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
# --------
#    [A]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from acquirerproxy4xi import AcquirerProxy4Xi
#[1] _exposed_ = ('acquire', 'release', 'sense', 'reason', 'ace')

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from after_fork4xi import AfterFork4Xi
#[1]     _exposed_ = ('init_all', 'set_all', 'get_all',
#                     'init_afterfork_registry', 'set_afterfork_registry', 'get_afterfork_registry',
#                     'init_afterfork_counter',  'set_afterfork_counter',  'get_afterfork_counter',
#                     'sense', 'reason', 'ace')   

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from applyresult4xi import ApplyResult4Xi
#[1] class; none

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from arena4xi import Arena4Xi
#[1] _counter = itertools.count()

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from array4xi import Array4Xi
#[2] function

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from arrayfunction4xi import ArrayFunction4Xi
#[2] function


# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from arrayproxy4xi import ArrayProxy4Xi
#[3] type 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from authentication4xi import AuthenticationError4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from authenticationstring4xi import AuthenticationString4Xi
#[1] class; none 
#[4] class has no __init method

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from autoproxy4xi import AutoProxy4Xi
#[2] function

# --------
#    [B]
# --------

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from barrier4xi import Barrier4Xi
#[1] class 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from barrierproxy4xi import BarrierProxy4Xi
#[1] class 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from baseproxy4xi import BaseProxy4Xi
#[1] class 
#        _address_to_local = {}
#        _mutex = ForkAwareLocal4Xi() 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from baselistproxy4xi import BaseListProxy4Xi
#[3] type

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from basemanager4xi import BaseManager4Xi
#[1] class
#        _registry = {}        
#        _Server = Server4Xi   

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from baseproxy4xi import BaseProxy4Xi 
#[1] class
#       _address_to_local = {}
#       _mutex = ForkAwareLocal4Xi()

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from boundedsemaphore4xi import BoundedSemaphore4Xi
#[1] class; none

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from buffertooshort4xi import BufferTooShort4Xi
#[5] class withn no methods at all

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from bufferwrapper4xi import BufferWrapper4Xi 
#[1] class
#        _heap = Heap4Xi()

# --------
#    [C]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from client4xi import Client4Xi
#[2] function

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from condition4xi import Condition4Xi 
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from conditionproxy4xi import ConditionProxy4Xi
#[1] class
#        _exposed_ = ('acquire', 'release', 'wait', 'notify', 'notify_all', 'sense', 'reason', 'ace') 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from connection4xi import Connection4Xi
#[1] class
#        _exposed_ = ('sense', 'reason', 'ace') 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_family4xi import ConstantFamily4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_forking4xi import ConstantForking4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_connection4xi import ConstantConnection4Xi 
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_heap4xi import ConstantHeap4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_managers4xi import ConstantManagers4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_pool4xi import ConstantPool4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_process4xi import ConstantProcess4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_synchronize4xi import ConstantSynchronize4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_system4xi import ConstantSystem4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_util4xi import ConstantUtil4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from constant_logger4xi import ConstantLogger4Xi
#[1] class; none 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from connectionwrapper4xi import ConnectionWrapper4Xi
#[1] class; none  

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from current_process4xi import CurrentProcess4Xi
#[1] class; none

# --------
#    [D]
# --------
from dummyprocess4xi import DummyProcess4Xi
#[1] class
#          is_alive = threading.Thread.is_alive
#          get_name = threading.Thread.getName
#          set_name = threading.Thread.setName
#          is_daemon = threading.Thread.isDaemon
#          set_daemon = threading.Thread.setDaemon


# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from dictproxy4xi import DictProxy4Xi
#[3] type

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
try:
    from dupfd4xi import DupFd4Xi
except:
    print("[NACK] **failed from from dupfd4xi import DupFd4Xi ** in module import_classes4xi.py")
#[1] class
#        _exposed_ = ('detach', 'sense', 'reason', 'ace') 
try:
    from duphandle4xi import DupHandle4Xi
except:
    print('** [NACK] in import_classes4xi.py: from duphandle4xi import DupHandle4Xi **')
#[1] class
#        _exposed_ = ('detach', 'sense', 'reason', 'ace') 
try:
    from dupsocket4xi import DupSocket4Xi
except:
    print('** [NACK] in import_classes4xi.py: from dupsocket4xi import DupSocket4Xi **')
#[1] class
#        _exposed_ = ('detach', 'sense', 'reason', 'ace') 


# --------
#    [E]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from event4xi import Event4Xi
#[1] class; none

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from eventproxy4xi import EventProxy4Xi
#[1] class 
#        _exposed_ = ('is_set', 'set', 'clear', 'wait', 'sense', 'reason', 'ace')

# --------
#    [F]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from finalize4xi import Finalize4Xi
#[1] class; None
# to be solved: global key2xi usage instead of object variable self._key 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from finalizer4xi import Finalizer4Xi
#[1] class: None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from forkawarelocal4xi import ForkAwareLocal4Xi
#[1] class: None 
#           note: special base class threading.local

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from forkawarethreadlock4xi import ForkAwareThreadLock4Xi
#[1] class: None

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from forkingpickler4xi import ForkingPickler4Xi
#[1] class:
#         dispatch = Pickler.dispatch.copy()


# --------
#    [G]
# --------


# --------
#    [H]
# --------
from heap4xi import Heap4Xi 
#[1] class:
#       a2xi = ConstantHeap4Xi()
#       _alignment = a2xi.get_alignment() <-- dragonized; moe flexible i.e. not constant

# --------
#    [I]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from imapiterator4xi import IMapIterator4Xi
#[1] class
#          IteratorProxy4Xi.__next__ = next
#          to be solved: - see pool.py class, it has no class variables
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from imapunorderediterator4xi import IMapUnorderedIterator4Xi
#[1] class; None

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from iteratorproxy4xi import IteratorProxy4Xi
#[1] class
#          _exposed_ = ('__next__', 'send', 'throw', 'close', 'sense', 'reason', 'ace')

# --------
#    [J]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from joinablequeue4xi import JoinableQueue4Xi
#[1] class; None 


# --------
#    [K]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from kskeleton4xi import KSkeleton4Xi
#[1] class; None 


# --------
#    [L]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from listener4xi import Listener4Xi
#[1] class
#     address2xi = property(lambda self: self._listener._address)
#     last_accepted2xi = property(lambda self: self._listener._last_accepted)      
#     note: connection.py class does not define any class variables !

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from listproxy4xi import ListProxy4Xi
#[4] class with no __init method 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from lock4xi import Lock4Xi
#[1] class; None 

# --------
#    [M]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from makeproxytype4xi import MakeProxyType4Xi
#[2] function

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from manager4xi import Manager4Xi 
#[2] function 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from mapresult4xi import MapResult4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from maybeencodingerror4xi import MaybeEncodingError4Xi
#[1] class; None 

# --------
#    [N]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from namespace4xi import Namespace4Xi

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from namespaceproxy4xi import NamespaceProxy4Xi
#[1] class; None 


# --------
#    [O]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from original_dir4xi import OriginalDir4Xi 
#[1] class; None 


# --------
#    [P]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from pipe4xi import Pipe4Xi
#[2] function 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from pipeclient4xi import PipeClient4Xi
#[2] function

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from pipeconnection4xi import PipeConnection4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from pipelistener4xi import PipeListener4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from pool4xi import Pool4Xi
#[1] class
#         Process = Process4Xi
#         note: this is important as a whole and very special way using class variables!
#               reading original is not so clear !
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from poolproxy4xi import PoolProxy4Xi
#[3] type 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from popen4xi import Popen4Xi
#[1] class
#          _tls = _thread._local()
#

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from print4xi import Print4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from processerror4xi import ProcessError4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from process4xi import Process4Xi
#[1] class
#          _Popen = None 
#
# to be solved: very complicated and there is also created self._popen = Popen4Xi
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from processlocalset4xi import ProcessLocalSet4Xi
##[1] class; None


# --------
#    [Q]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from queue4xi import Queue4Xi
#[1] class; None
#           note: _sentinel = object() was moved to be set by the module, not by the class !
#                 in earlier version it became an object attribute ! 

# --------
#    [R]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from rawarray4xi import RawArray4Xi
#[2] function 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
try:
    from resourcesharer4xi import ResourceSharer4Xi
except:
    print('** [NACK] in import_classes4xi: from resourcesharer4xi import ResourceSharer4Xi **')
#[1] class
#          _exposed_ = ('register', 'get_connection', 'stop', '_afterfork', '_start','_serve', 'sense', 'reason', 'ace')

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from remoteerror4xi import RemoteError4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from rlock4xi import RLock4Xi
#[1] class; None 

# --------
#    [S]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from semaphore4xi import Semaphore4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from semlock4xi import SemLock4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from server4xi import Server4Xi
#[1] class 
#        public = ['shutdown', 'create', 'accept_connection', 'get_methods',
#                  'debug_info', 'number_of_objects', 'dummy', 'incref', 'decref','sense','reason','ace']
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from simplequeue4xi import SimpleQueue4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from skeleton_print4xi import SkeletonPrint4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from socketclient4xi import SocketClient4Xi
#[2] function 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from socketlistener4xi import SocketListener4Xi
#[1] class; None  

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from state4xi import State4Xi
#[1] class
#          __slots__ = ['value']
#          note: constants are not defined as class variables but handled by ConstantManager4Xi
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from syncmanager4xi import SyncManager4Xi
#[1] class; None 
#           note: __init__ and other methods tailor those of BaseManager4Xi 
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from synchronizedbase4xi import SynchronizedBase4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from synchronizedstring4xi import SynchronizedString4Xi
#[4] class with no __init method
#          value = make_property4xi('value') 
#          raw = make_property4xi('raw')

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from synchronizedarray4xi import SynchronizedArray4Xi 
#[1] [4] class with no __init method

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from synchronizedbase4xi import SynchronizedBase4Xi
#[1] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from synchronized4xi import Synchronized4Xi
#[1] class; None 

# --------
#    [T]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from threadpool4xi import ThreadPool4Xi
#[1] class
#      Process = DummyProcess4Xi

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from timeouterror4xi import TimeoutError4Xi
#[4] class with no __init method 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from token4xi import Token4Xi
#[1] class
#      __slots__ = ('typeid', 'address', 'id')


# --------
#    [U]
# --------

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from uskeleton4xi import USkeleton4Xi
#[1] class; None 

# --------
#    [V]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from value4xi import Value4Xi
#[1]  class; None

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from valuefunction4xi import ValueFunction4Xi
#[2] function 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from valueproxy4xi import ValueProxy4Xi
#[1] class
#      _exposed_ = ('get', 'set', 'sense', 'reason', 'ace')
#[6] class settings inside class but not inside methods
#      value = property(get, set)


# --------
#    [W]
# --------


# --------
#    [X]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from xmlclient4xi import XmlClient4Xi
#[2] function 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from xmllistener4xi import XmlListener4Xi
#[1]  class; None 

# --------
#    [Y]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from yskeleton4xi import YSkeleton4Xi
#[1]  class; None  

# --------
#    [Z]
# --------
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from zskeleton4xi import ZSkeleton4Xi
#[1]  class; None  

# --------
#    [_]
# --------

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from _connectionbase4xi import _ConnectionBase4Xi
#[4] class; None 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from _c4xi import _C4Xi
#[4] class with no __init method 

# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
from _mainprocess4xi import _MainProcess4Xi
#[1] class; None
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
# -------------------------------------------------------------------------------------------------
# util.py                              
# -------------------------------------------------------------------------------------------------
import itertools
import weakref
import atexit
import threading
import logging
# -------------------------------------------------------------------------------------------------
# synchronize.py                        
# ------------------------------------------------------------------------------------------------    
import threading
import os
import sys
from time import time as _time, sleep as _sleep
# -------------------------------------------------------------------------------------------------
# sharedctypes.py                             
# -------------------------------------------------------------------------------------------------
import sys
import ctypes
import weakref
# -------------------------------------------------------------------------------------------------
# reduction.py                             
# -------------------------------------------------------------------------------------------------
import os
import sys
import socket
import threading
import traceback
# -------------------------------------------------------------------------------------------------
# queues.py                             
# -------------------------------------------------------------------------------------------------
import sys
import os
import threading
import collections
import time
import atexit
import weakref
from queue import Empty, Full
# -------------------------------------------------------------------------------------------------
# process.py                            
# -------------------------------------------------------------------------------------------------
import os
import sys
import signal
import itertools
# -------------------------------------------------------------------------------------------------
# pool.py                           
# -------------------------------------------------------------------------------------------------
import threading
import queue                    
import itertools
import collections
import time
# -------------------------------------------------------------------------------------------------
# managers.py                           
# -------------------------------------------------------------------------------------------------
import os
import sys
import weakref
import threading
import array
import queue
from traceback import format_exc
import copyreg
# -------------------------------------------------------------------------------------------------
# heap.py                             
# -------------------------------------------------------------------------------------------------
import bisect
import mmap
import tempfile
import os
import sys
import threading
import itertools
# -------------------------------------------------------------------------------------------------
# forking.py 
# -------------------------------------------------------------------------------------------------
import os
import sys
import signal
from pickle import _Pickler as Pickler
# -------------------------------------------------------------------------------------------------
# connection.py
# -------------------------------------------------------------------------------------------------
import os
import sys
import socket
import errno
import time
import tempfile
import itertools
# -------------------------------------------------------------------------------------------------
# __init__                              
# -------------------------------------------------------------------------------------------------
import sys
#"
#/>

#</program4xi>
 

#
# -------------------------------------------------------------------------------------------------
# History of import_classes4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
# May 7, 2009: only classes here
# January 16, 2009
# import module.py for each module; this will in fact compile a module
# importing each module is essential in this module whereas programs should import only what they need
#
# December 9, 2008
# import _multiprocessin added to be sure; compiler does NOT notice if it is missing
# standard imports checked using the original module's imports defined in this module
#
# December 2008
# all modules also imported to see that the modules are pickable
#
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of import_classes4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

